Debian Bug report logs - #457663
autofs: Please use lsb output functions in init.d/autofs

version graph

Package: autofs; Maintainer for autofs is Michael Tokarev <mjt@tls.msk.ru>; Source for autofs is src:autofs.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 24 Dec 2007 10:48:04 UTC

Severity: normal

Found in version autofs/4.1.4+debian-2

Fixed in version 4.1.4+debian-3+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#457663; Package autofs. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: autofs: Please use lsb output functions in init.d/autofs
Date: Mon, 24 Dec 2007 11:46:35 +0100
Package: autofs
Version: 4.1.4+debian-2

When using autofs with the progress bar and console in usplash, no
message show up when autofs is started.

The reason is that the init.d script do not use the output functions
in /lib/lsb/init-functions, but uses echo directly.  usplash override
the functions in /lib/lsb/init-functions to feed the text into the
graphical boot screen, and thus depend on the use of the lsb output
functions.

Please change the init.d script to use the lsb output functions.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#457663; Package autofs. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. Full text and rfc822 format available.

Message #10 received at 457663@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 457663@bugs.debian.org
Subject: Re: autofs: Please use lsb output functions in init.d/autofs
Date: Mon, 9 Jun 2008 22:45:12 +0200
[Petter Reinholdtsen]
> When using autofs with the progress bar and console in usplash, no
> message show up when autofs is started.

Any hope of having this fixed in time for Lenny?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#457663; Package autofs. (Mon, 29 Jun 2009 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Mon, 29 Jun 2009 13:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 457663@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 457663@bugs.debian.org
Subject: Re: autofs: Please use lsb output functions in init.d/autofs
Date: Mon, 29 Jun 2009 15:34:04 +0200
Any hope of having this fixed in time for squeese?  In my test
installation (barebone debian-edu upgraded to unstable), the autofs
scripts are the only ones not using the log_* functions.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 28 Dec 2011 00:10:15 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 28 Dec 2011 00:10:15 GMT) Full text and rfc822 format available.

Message #20 received at 457663-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 33446-done@bugs.debian.org,93062-done@bugs.debian.org,128616-done@bugs.debian.org,182832-done@bugs.debian.org,271207-done@bugs.debian.org,280706-done@bugs.debian.org,281104-done@bugs.debian.org,293584-done@bugs.debian.org,294239-done@bugs.debian.org,296787-done@bugs.debian.org,300584-done@bugs.debian.org,319904-done@bugs.debian.org,332717-done@bugs.debian.org,335889-done@bugs.debian.org,341155-done@bugs.debian.org,354794-done@bugs.debian.org,356882-done@bugs.debian.org,365741-done@bugs.debian.org,369847-done@bugs.debian.org,372089-done@bugs.debian.org,374739-done@bugs.debian.org,379780-done@bugs.debian.org,399614-done@bugs.debian.org,400085-done@bugs.debian.org,400656-done@bugs.debian.org,415916-done@bugs.debian.org,416515-done@bugs.debian.org,418238-done@bugs.debian.org,422149-done@bugs.debian.org,431971-done@bugs.debian.org,446860-done@bugs.debian.org,457663-done@bugs.debian.org,464436-done@bugs.debian.org,465145-done@bugs.debian.org,465249-done@bugs.debian.org,470573-done@bugs.debian.org,472531-done@bugs.debian.org,473016-done@bugs.debian.org,478285-done@bugs.debian.org,478339-done@bugs.debian.org,478435-done@bugs.debian.org,488846-done@bugs.debian.org,489809-done@bugs.debian.org,491280-done@bugs.debian.org,493800-done@bugs.debian.org,495195-done@bugs.debian.org,502089-done@bugs.debian.org,506499-done@bugs.debian.org,514202-done@bugs.debian.org,520095-done@bugs.debian.org,529511-done@bugs.debian.org,531060-done@bugs.debian.org,531276-done@bugs.debian.org,533884-done@bugs.debian.org,571472-done@bugs.debian.org,576143-done@bugs.debian.org,577751-done@bugs.debian.org,608088-done@bugs.debian.org,652875-done@bugs.debian.org,
Cc: autofs@packages.debian.org, autofs@packages.qa.debian.org
Subject: Bug#653172: Removed package(s) from unstable
Date: Wed, 28 Dec 2011 00:07:43 +0000
Version: 4.1.4+debian-3+rm

Dear submitter,

as the package autofs has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/653172

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Jan 2012 07:40:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:16:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.